## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond_without  tests

%global         srcname     google-cloud-source-context
%global         reponame    google-cloud-python

Name:           python-%{srcname}
Version:        1.5.0
Release:        %autorelease
Summary:        Python Client for Google Cloud Source Context

License:        Apache-2.0
URL:            https://github.com/googleapis/google-cloud-python
Source0:        %{url}/archive/refs/tags/%{srcname}-v%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-asyncio)
%endif

%global _description %{expand:
This package contains generated Python types for google.cloud.source_context_v1.}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}


%prep
# Upstream buries the package into a subdirectory. 😭
%setup -c -T
tar xzf %{SOURCE0} --strip-components=3 \
    %{reponame}-%{srcname}-v%{version}/packages/%{srcname}

# Allow a slightly older protobuf.
sed -i 's/"protobuf.*",/"protobuf>=3.19.4",/' setup.py


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files google


%check
%if %{with tests}
# NOTE(mhayden): Setting PYTHONUSERBASE as a hack for PEP 420 namespaces.
# Thanks to churchyard for the fix.
PYTHONUSERBASE=%{buildroot}%{_prefix} \
    %pytest tests/unit
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE
%doc CHANGELOG.md CODE_OF_CONDUCT.md CONTRIBUTING.rst README.rst SECURITY.md


%changelog
* Wed Dec 13 2023 Major Hayden <major@redhat.com> - 1.5.0-2
- Skip import check, remove nspkg file

* Thu Dec 07 2023 Packit <hello@packit.dev> - 1.5.0-1
- [packit] 1.5.0 upstream release
- Resolves rhbz#2253552

* Wed Dec 06 2023 Nikola Forró <nforro@redhat.com> - 1.4.3-3
- Do not sync release candidate versions

* Tue Sep 19 2023 Major Hayden <major@redhat.com> - 1.4.3-2
- Add packit config

* Tue Sep 19 2023 Major Hayden <major@redhat.com> - 1.4.3-1
- Update to 1.4.3

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jul 06 2023 Major Hayden <major@redhat.com> - 1.4.2-1
- Update to 1.4.2 rhbz#2219906

* Thu Jun 29 2023 Python Maint <python-maint@redhat.com> - 1.4.1-2
- Rebuilt for Python 3.12

* Tue Feb 21 2023 Major Hayden <major@redhat.com> - 1.4.1-1
- Update to 1.4.1

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Oct 19 2022 Major Hayden <major@redhat.com> - 1.2.8-1
- Update to 1.2.8 rhbz#2131861

* Mon Aug 15 2022 Major Hayden <major@redhat.com> - 1.2.6-1
- Update to 1.2.6 rhbz#2118343

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jul 12 2022 Major Hayden <major@redhat.com> - 1.2.5-1
- Update to 1.2.5 rhbz#2106401

* Tue Jun 28 2022 Major Hayden <major@redhat.com> - 1.2.4-3
- Add import check

* Tue Jun 28 2022 Python Maint <python-maint@redhat.com> - 1.2.4-2
- Rebuilt for Python 3.11

* Mon Jun 13 2022 Major Hayden <major@redhat.com> - 1.2.4-1
- Update to 1.2.4

* Thu May 19 2022 Major Hayden <major@mhtx.net> - 1.2.3-1
- 🚀 Update to 1.2.3

* Fri Apr 08 2022 Major Hayden <major@mhtx.net> - 1.2.2-3
- Fix %%doc line

* Fri Apr 08 2022 Major Hayden <major@mhtx.net> - 1.2.2-2
- Add extra docs files

* Fri Apr 08 2022 Major Hayden <major@mhtx.net> - 1.2.2-1
- Initial import (#2068106)
